
Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Bug #668

Error pops up after an M4A file is done playing. 

September 25, 2016 23:05 - Zane Tu

Status: Rejected Start date: September 25, 2016

Priority: Minor Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Affects version: 3.8   

Description

Steps to reproduce:

1. Open Audacious.

2. Add an M4A file to playlist.

3. Play the M4A file added.

4. Wait for completion of playback, or seek to end of file.

Expected result: No error pops up.

Actual result: Error pops up, saying "Unknown playback error (check the console for detailed error information)".

Console output:

(audacious:18281): Gtk-WARNING **: Theme directory base/ of theme oxygen has no size field

ERROR ffaudio-core.cc:185 [aac]: <0x7fa4c0044940> Reserved bit set.

ERROR ffaudio-core.cc:185 [aac]: <0x7fa4c0044940> channel element 0.15 is not allocated

ERROR ffaudio-core.cc:214 [log_result]: avcodec_send_packet failed: Invalid data found when processing input

ERROR util.cc:295 [audgui_simple_message]: Error playing file:///home/zanetu/download/example.m4a:

Unknown playback error (check the console for detailed error information)

Additional info:

This bug prevents a single file from being repeated.

Sample file: http://cdn.online-convert.com/example-file/audio/example.m4a

Similar bug: https://bugs.archlinux.org/task/50303

Version: 3.8 (https://deb-multimedia.org/dists/unstable/main/binary-amd64/package/audacious)

History

#1 - September 26, 2016 01:57 - John Lindgren

- Status changed from New to Rejected

No error here.  First try updating FFmpeg to the latest version, then report the problem to the FFmpeg project if the problem persists.

#2 - November 30, 2016 14:01 - Se Li

This systematically happens with .mp4 videos files downloaded from YouTube and treated with MP4Box to extract the audio to a .m4a file. Would it

be possible to ignore this error silently? Other players such as VLC do not indicate any problem. (Using Arch Linux, all packages current.)

#3 - November 30, 2016 15:33 - John Lindgren

This bug was already closed since it was not reproducible.  If you have a test case for which Audacious reports and error and command-line ffmpeg

does not, then please open a new report.  If ffmpeg reports an error, then you can try reporting a bug to ffmpeg, but it is likely you have a corrupt file.
